package com.hellbreecher.arcanum;

import com.hellbreecher.arcanum.common.CommonProxy;
import com.hellbreecher.arcanum.common.core.ArcanumArmor;
import com.hellbreecher.arcanum.common.core.ArcanumBlocks;
import com.hellbreecher.arcanum.common.core.ArcanumFood;
import com.hellbreecher.arcanum.common.core.ArcanumItems;
import com.hellbreecher.arcanum.common.core.ArcanumSmelting;
import com.hellbreecher.arcanum.common.core.ArcanumTools;
import com.hellbreecher.arcanum.common.core.ArcanumWeapons;
import com.hellbreecher.arcanum.common.handler.IConfigHandler;
import com.hellbreecher.arcanum.common.handler.IDictionaryRegistry;
import com.hellbreecher.arcanum.common.worldgen.IWorldGen;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.SidedProxy;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPostInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;

@Mod(modid = "arcanum", name = "Arcanum", version = "1.12.2-4.3.0.0", acceptedMinecraftVersions = "[1.12.2]")
/* loaded from: com_hellbreecher_arcanum.jar:com/hellbreecher/arcanum/Arcanum.class */
public class Arcanum {

    @SidedProxy(clientSide = "com.hellbreecher.arcanum.client.ClientProxy", serverSide = "com.hellbreecher.arcanum.common.CommonProxy")
    public static CommonProxy proxy;

    @Mod.Instance("arcanum")
    public static Arcanum instance;

    @Mod.EventHandler
    public void preInit(FMLPreInitializationEvent event) {
        new ArcanumBlocks.Registration();
        new ArcanumItems.Registration();
        new ArcanumFood.Registration();
        new ArcanumArmor.Registration();
        new ArcanumTools.Registration();
        new ArcanumWeapons.Registration();
        IWorldGen.worldGenRegistry();
        proxy.registerTileEntities();
    }

    @Mod.EventHandler
    public void init(FMLInitializationEvent event) {
        proxy.registerRenders();
        proxy.registerNetworkRenderers();
        ArcanumSmelting.foodSmelting();
        ArcanumSmelting.oreSmelting();
        IDictionaryRegistry.registerBlocks();
        IDictionaryRegistry.registerFood();
        IDictionaryRegistry.registerItem();
        IConfigHandler.init();
        IConfigHandler.addMechConfig();
    }

    @Mod.EventHandler
    public void postInit(FMLPostInitializationEvent event) {
    }
}
